package com.jeesharp.business.modules.mall.service;

import com.jeesharp.business.modules.mall.entity.MallSkuLevelPrice;
import com.jeesharp.business.modules.mall.vo.MallSkuLevelPriceQueryVO;
import com.jeesharp.framework.mybatis.core.service.BaseInterface;

import java.math.BigDecimal;
import java.util.List;

/**
 * 会员价 Service 接口
 */
public interface MallSkuLevelPriceService extends BaseInterface<MallSkuLevelPrice, MallSkuLevelPriceQueryVO> {

    void createLevelPrice(MallSkuLevelPrice entity);

    void updateLevelPrice(MallSkuLevelPrice entity);
BigDecimal getMemberPrice(String skuId, String memberLevelCode);

    List<MallSkuLevelPrice> getMemberPricesBySku(String skuId);
}
